<script type="text/javascript">
$(document).ready(function(){	
	
	$("#txt_kodebb").focus();
	
	$('#form_cari_bb').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#cari_bb').click(function(){		
		$('#form_cari_bb').dialog('open');
		$("#txt_caribb").focus();		
	});
	
	$('#txt_caribb').keyup(function(){		
		var cari	= $("#txt_caribb").val();
		
		$.ajax({
			type	: "GET",
			url		: "spv/aktiva/tampil_akun_bb.php",
			data	: "cari="+cari,			
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_bb").html(data);				
			}
		});		
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_kodeak").keyup(function(){
		$('#form_cari_bp').dialog('open');
		$("#txt_caribp").focus();
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_kodebb").val();		
		
		$.ajax({
			type	: "POST",
			url		: "spv/aktiva/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});
	
	$("#simpan").click(function(){
		var	kodebb	    = $("#txt_kodebb").val();
		var	kodeak	    = $("#txt_kodeak").val();		
		var	namaak	    = $("#txt_namaak").val();		
		var	tanggalbl	= $("#txt_tanggalbl").val();
		var	hargabl 	= $("#txt_hargabl").val();
		var	umurek	    = $("#txt_umurek").val();
		var	nilaires	= $("#txt_nilaires").val();
		
		var error       = false;
		
		if(kodebb.length == 0){
			var error = true;
			alert("Maaf, Kode buku besar masih kosong.");
			$("#txt_kodebb").focus();
			return (false);
        }
		
		if(namaak.length == 0){
			var error = true;
			alert("Maaf, Nama aktiva tidak boleh kosong.");
			$("#txt_namaak").focus();
			return (false);
        }
		
		if(hargabl.length == 0){
			var error = true;
			alert("Maaf, Harga beli masih kosong.");
			$("#txt_hargabl").focus();
			return (false);
        }
		
		if(umurek.length == 0){
			var error = true;
			alert("Maaf, Umur ekonomis aktiva harus diisi.");
			$("#txt_umurek").focus();
			return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url	    : "spv/aktiva/simpan.php",
			data	: "kodebb="+kodebb+
					"&kodeak="+kodeak+
					"&namaak="+namaak+					
					"&umurek="+umurek+
					"&tanggalbl="+tanggalbl+
					"&hargabl="+hargabl+
					"&nilaires="+nilaires,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#akses").val(1);
				$(".input").val('');
				cari_nomor();
			}
		});
		}
	});
	
	$("#keluar").click(function(){
		document.location='?module=home';
	});
});
</script>

<?php
include '../../inc/inc.koneksi.php';

echo "<input type='hidden' id='akses'>";

echo "<input type='text' name='txt_kas' id='txt_kas' size='5' hidden />
	<input type='text' name='txt_piut' id='txt_piut' size='5' hidden />
	<input type='text' name='txt_utdg' id='txt_utdg' size='5' hidden />
	<input type='text' name='txt_utbg' id='txt_utbg' size='5' hidden />
	<input type='text' name='txt_tanggalbl' id='txt_tanggalbl' size='4' hidden />
	
	<table width='100%'>
		<tr>
			<td width='15%'>Kode Buku Besar</td>
			<td>: <img src='images/view.png' width='18' height='18' title='Cari akun buku besar' id='cari_bb'> <input type='text' id='txt_kodebb' size='5' readonly/></td>
		</tr>
		<tr>
			<td>Nama Buku Besar</td>
			<td>: <input id='txt_namabb' size='30' readonly /></td>
		</tr>
	</table>
	<hr>
	
	<table width='100%'>
		<tr>
			<td width='15%'>Kode Aktiva</td>
			<td>: <input type='text' id='txt_kodeak' size='10' class='input'></td>
		</tr>
		<tr>
			<td>Nama Akun</td>
			<td>: <input type='text' id='txt_namaak' size='30' class='input' readonly/></td>
		</tr>
		<tr>
			<td>Tanggal Pembelian</td>
			<td>: <input type='date' id='txt_tanggalbl' size='10' class='input'></td>
		</tr>
		<tr>
			<td>Harga Perolehan</td>
			<td>: <input type='text' id='txt_hargabl' size='12' readonly /></td>
		</tr>
		<tr>
			<td>Umur Ekonomis</td>
			<td>: <input type='text' id='txt_umurek' size='3' > bulan</td>
		</tr>
		<tr>
			<td>Nilai Residu</td>
			<td>: <input type='text' id='txt_nilaires' size='12' readonly /></td>
		</tr>
	</table>
	
	<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
			<button name='simpan' id='simpan'>Simpan</button>
			<button name='keluar' id='keluar'>Keluar</button>
		</td>
	</tr>
	</table>";

echo "<div id='form_cari_bb' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<td>
				<td>Cari nama/kode Buku Besar : <input type='text' name='txt_caribb' id='txt_caribb' size='40'></td>
			</td>
		</table>
	
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td width='25%'>Cari Buku Pembantu</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribp' id='txt_caribp' size='30'</td>
			</td>
		</table>		
		<div id='info_bp' align='center'></div>
	</div>";
?>